---
layout: api
page_title: Redis ElastiCache - Database - Secrets Engines - HTTP API
description: >-
  The Redis ElastiCache plugin for Vault's database secrets engine generates new passwords for ElastiCache users.
---

# Redis ElastiCache Database Plugin HTTP API

The Redis ElastiCache database plugin is one of the supported plugins for the database
secrets engine. This plugin generates static database credentials based on
configured roles for the Redis ElastiCache database.

## Configure Connection

In addition to the parameters defined by the [Database
Secrets Engine](/api-docs/secret/databases#configure-connection), this plugin
has a number of parameters to further configure a connection.

| Method | Path                     |
| :----- | :----------------------- |
| `POST` | `/database/config/:name` |

### Parameters

- `url` `(string: <required>)` – Specifies the primary endpoint to connect to.

- `username` `(string)` – Specifies the IAM access_key_id for Vault to use. If omitted, authentication fallbacks on the AWS credentials provider chain and tries to infer authentication from the environment.

- `password` `(string)` – Specifies the IAM secret_access_key corresponding to
the given access_key_id. If omitted, authentication fallbacks on the AWS credentials provider chain and tries to infer authentication from the environment.

### Sample Payload

```json
{
  "plugin_name": "redis-elasticache-database-plugin",
  "url": "primary-endpoint.my-cluster.xxx.yyy.cache.amazonaws.com:6379",
  "username": "AKI***",
  "password": "ktriNYvULAWLzUmTGb***",
  "allowed-roles": "*"
}
```

### Sample Request

```shell-session
$ curl \
    --header "X-Vault-Token: ..." \
    --request POST \
    --data @payload.json \
    http://127.0.0.1:8200/v1/database/config/my-redis-cluster
```
